EC_NODE_RE_SET_REGEXP(3)

NAME
ec_node_re_set_regexp - Set the regular expression on a regex node.

SYNOPSIS
#include <ecoli/node_re.h>

int ec_node_re_set_regexp(
    struct ec_node   *node,  /* The regex node. */
    /*
     * The regular expression pattern. It is duplicated internally.
     */
    const char       *re
);

RETURN VALUE

0 on success, -1 on error (errno is set).

SEE ALSO

ec_node_re(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.